%define name	xlogmaster
%define version	1.6.0
%define release	10mdk

Summary:	Quick & easy monitoring of logfiles and devices.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	ftp://ftp.gnu.org/xlogmaster/%{name}-%{version}.tar.bz2
Source1:	%{name}-%{version}-extra.tar.bz2
Source2:	%{name}-icons.tar.bz2
Patch0:		%{name}-gcc3.2.fix.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libgtk+1.2-devel
License:	GPL
URL:		http://www.gnu.org/software/xlogmaster/
Group:		Monitoring

%description
The Xlogmaster is a program that allows easy and flexible monitoring of
all logfiles and devices that allow being read via cat (like the /proc
devices). It allows you to set a lot of events based on certain activities
in the monitored logfiles/devices and should prove very helpful for almost
anyone.

%prep

%setup -q -T -b 0 -n %{name}-%{version}
%setup -q -T -D -a 1
%patch0 -p1

%build
%configure	--with-xlogmaster-home=%{_sysconfdir} \
		--with-xlogmaster-lib=%{_datadir}/xlogmaster \
		--with-xlogmaster-db=%{_localstatedir}/xlogmaster \
		--disable-gtkrc

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall XLM_LIB=%{buildroot}%{_datadir}/xlogmaster XLM_DB=%{buildroot}%{_localstatedir}/xlogmaster

install -d %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): needs="x11" \
		   icon="%{name}.png" \
		   section="Applications/Monitoring" \
		   title="Xlogmaster" \
		   longtitle="Logfile viewer" \
		   command="%{name} -terse"
#?package(%{name}): needs="x11" \
#		    section="Documentation/Websites" \
#		    title="Xlogmaster Homepage" \
#		    command="if ps U \$USER | grep -q \$BROWSER; then \$BROWSER -remote \'openURL(%{url})\'; else \$BROWSER \'%{url}\'; fi"
EOF

install -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
tar -xOjf %{SOURCE2} icons/16x16.png > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
tar -xOjf %{SOURCE2} icons/32x32.png > ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
tar -xOjf %{SOURCE2} icons/48x48.png > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

%post
%{update_menus}
%__install_info %{_infodir}/xlogmaster.info.* %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
    %__install_info --delete %{_infodir}/xlogmaster.info.* %{_infodir}/dir
fi

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING NEWS README TODO doc/old-tutorial.txt.gz %{name}-%{version}-extra/*.html
%{_bindir}/*
%dir %{_datadir}/xlogmaster
%{_datadir}/xlogmaster/*
%dir %{_localstatedir}/xlogmaster
%{_localstatedir}/xlogmaster/*
%{_mandir}/man1/xlogmaster.1*
%{_infodir}/xlogmaster.info*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.6.0-10mdk
- rebuild

* Sat Nov 23 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.6.0-9mdk
- fix missing files

* Thu Nov 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6.0-8mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- gcc-3.2 compilation fixes
	- Cleanups
	- s/Copyright/License/ - Do not use obsolete Copyright tag
	- Removed redundant PreReq
	- Added missing BuildRequires
	- Moved xlogmaster-lib files into a more appropriate place(make rpmlint happy)

* Thu Oct 24 2002 Maxim Heijndijk <cchq@wanadoo.nl> 1.6.0-7mdk
- Rebuilt for Mandrake 9.0 / MandrakeClub.
- Added BuildRequires for gcc 2.96.
- Fixed bindir.
- Fixed datbase dir.
- Fixed manfile permissions.
- Removed gtkrc files.

* Sat Oct 12 2002 Maxim Heijndijk <cchq@wanadoo.nl> 1.6.0-6
- Fixed Group.

* Mon Oct 07 2002 Maxim Heijndijk <cchq@wanadoo.nl> 1.6.0-5
- Rebuilt for MandrakeClub.

* Mon May 07 2001 Maxim Heijndijk <cchq@wanadoo.nl> 1.6.0-4
- Rebuild with glibc-2.2.2.
- More docs.

* Wed Aug 23 2000 Maxim Heijndijk <cchq@wanadoo.nl> 1.6.0-3
- Added menuentryfile
- Bzipping/stripping now handled by spec-helper
- Manpages to %{_mandir}

* Tue Jun 20 2000 Maxim Heijndijk <cchq@wanadoo.nl> 1.6.0-2
- Made package relocatable
- bzipped source
- bzipped manpage

* Fri Apr 02 1999 Arne Coucheron <arneco@online.no> [1.6.0-1]
- corrected source url
- requires GTK+ >= 1.2.1
- sound, script and database files moved to /usr/lib/xlogmaster
- strip the binary

* Wed Aug 26 1998 Arne Coucheron <arneco@online.no> [1.4.3-1]
- installing the info file

* Mon Jul 27 1998 Arne Coucheron <arneco@online.no> [1.4.1-1]
- first release
